( cd usr/lib64 ; rm -rf libmosquitto.so )
( cd usr/lib64 ; ln -sf libmosquitto.so.1 libmosquitto.so )
( cd usr/lib64 ; rm -rf libmosquittopp.so )
( cd usr/lib64 ; ln -sf libmosquittopp.so.1 libmosquittopp.so )

config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
  config $NEW
}

preserve_perms etc/rc.d/rc.mosquitto.new

#
# check mosquitto accounts
#
if [ -z "`grep mosquitto /etc/group`" ]; then
    groupadd -g 308 mosquitto
fi
if [ -z "`grep mosquitto /etc/passwd`" ]; then
    useradd -u 308 -g 308 -d /var/lib/mosquitto -s /bin/bash -c "Mosquitto Account" mosquitto
fi


